<div class="block" data-layout-type="form">

  <%= form_for @changeset, account_path(@conn, :create), fn f -> %>
    <h3>Registrarse</h3>

    <%= if error = get_flash(@conn, :error) do %>
      <div class="error">
        <%= error %>
      </div>
    <% end %>

    <%= error_tag f, :username %>
    <%= text_input f, :username, class: "form-control", placeholder: "nombre_de_usuario1", required: true %>

    <%= error_tag f, :email %>
    <%= email_input f, :email, class: "form-control", placeholder: "micorreo@proveedor.dominio", required: true %>

    <%= error_tag f, :password %>
    <%= password_input f, :password, class: "form-control", placeholder: "mi clave secreta", required: true %>

    <%= error_tag f, :password_confirmation %>
    <%= password_input f, :password_confirmation, class: "form-control", placeholder: "mi clave secreta de nuevo", required: true %>

    <%= raw Recaptcha.Template.display(size: "invisible") %>
    <button type="submit" class="button" data-button-size="big" data-button-font="medium" data-button-uppercase data-button-important>
      ¡Registrarme!
    </button>
  <% end %>
</div>

<script src="https://www.google.com/recaptcha/api.js"></script>
